Index: palm/trunk/SCRIPTS/.mrun.config.imuk_gpu
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk_gpu	(revision 1016)
+++ palm/trunk/SCRIPTS/.mrun.config.imuk_gpu	(revision 1111)
@@ -1,2 +1,3 @@
+#$Id$
 #column 1          column 2                                   column 3
 #name of variable  value of variable (~ must not be used)     scope
@@ -8,16 +9,8 @@
 %add_source_path   $base_directory/USER_CODE/$fname
 %depository_path   $base_directory/MAKE_DEPOSITORY
-#%use_makefile      true
-#
-# Enter your own host below by adding another line containing in the second
-# column your hostname (as provided by the unix command "hostname") and in the
-# third column the host identifier. Depending on your operating system, the
-# first characters of the host identifier should be "lc" (Linux cluster), "ibm"
-# (IBM-AIX), or "nec" (NEC-SX), respectively.
 #
 %host_identifier   inferno      lcmuk
 #
-# version 27/09/2012
-#
+# pure MPI version
 %remote_username   <replace by your IMUK username>               lcmuk parallel pgi
 %tmp_user_catalog  /localdata                                    lcmuk parallel pgi
@@ -29,13 +22,34 @@
 %lopts             -Mcray=pointer:-fastsse:-r8                   lcmuk parallel pgi
 #
+# pure MPI version with debug options
+%remote_username   <replace by your IMUK username>               lcmuk parallel pgidbg
+%tmp_user_catalog  /localdata                                    lcmuk parallel pgidbg
+%compiler_name     mpif90                                        lcmuk parallel pgidbg
+%compiler_name_ser pgf90                                         lcmuk parallel pgidbg
+%cpp_options       -Mpreprocess:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__nopointer   lcmuk parallel pgidbg
+%mopts             -j:4                                          lcmuk parallel pgidbg
+%fopts             -Mcray=pointer:-O0:-C:-g:-Mbounds:-Mchkstk:-traceback:-r8   lcmuk parallel pgidbg
+%lopts             -Mcray=pointer:-O0:-C:-g:-Mbounds:-Mchkstk:-traceback:-r8   lcmuk parallel pgidbg
+#
+# pure GPU version
+%remote_username   <replace by your IMUK username>                       lcmuk pgigpu
+%tmp_user_catalog  /localdata                                            lcmuk pgigpu
+%compiler_name     pgf90                                                 lcmuk pgigpu
+%compiler_name_ser pgf90                                                 lcmuk pgigpu
+%cpp_options       -Mpreprocess:-D__nopointer:-D__openacc:-D__cuda_fft   lcmuk pgigpu
+%mopts             -j:4                                                  lcmuk pgigpu
+%fopts             -acc:-ta=nvidia,4.1:-Minfo=acc:-Mcray=pointer:-fastsse:-r8:-Mcuda    lcmuk pgigpu
+%lopts             -acc:-ta=nvidia,4.1:-Minfo=acc:-Mcray=pointer:-fastsse:-r8:-Mcuda:-L/localdata/opt/pgi/linux86-64/2012/cuda/4.1/lib64:-lcufft    lcmuk pgigpu
+#
+# MPI+GPU
 %remote_username   <replace by your IMUK username>               lcmuk parallel pgigpu
 %tmp_user_catalog  /localdata                                    lcmuk parallel pgigpu
 %compiler_name     mpif90                                        lcmuk parallel pgigpu
 %compiler_name_ser pgf90                                         lcmuk parallel pgigpu
-%cpp_options       -Mpreprocess:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__nopointer:-D__openacc   lcmuk parallel pgigpu
+%cpp_options       -Mpreprocess:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__nopointer:-D__openacc:-D__cuda_fft   lcmuk parallel pgigpu
 %mopts             -j:4                                          lcmuk parallel pgigpu
-%fopts             -acc:-ta=nvidia,4.1:-Minfo=acc:-Mcray=pointer:-fastsse:-r8        lcmuk parallel pgigpu
-%lopts             -acc:-ta=nvidia,4.1:-Minfo=acc:-Mcray=pointer:-fastsse:-r8        lcmuk parallel pgigpu
-
+%fopts             -acc:-ta=nvidia,4.1:-Minfo=acc:-Mcray=pointer:-fastsse:-r8:-Mcuda    lcmuk parallel pgigpu
+%lopts             -acc:-ta=nvidia,4.1:-Minfo=acc:-Mcray=pointer:-fastsse:-r8:-Mcuda:-L/localdata/opt/pgi/linux86-64/2012/cuda/4.1/lib64:-lcufft   lcmuk parallel pgigpu
+#
 %write_binary                true                             restart
 #
